Loading...
Searching...
No Matches
Magick::steganoImage Class Reference

## Public Member Functions

| steganoImage (const Image &waterMark_)
void | operator() (Image &image_) const

## Private Attributes

Image | _waterMark

## Detailed Description

Definition at line 1110 of file STL.h.

## Constructor & Destructor Documentation

## steganoImage()

Magick::steganoImage::steganoImage | ( | const Image & | waterMark_ | ) |

Definition at line 1037 of file STL.cpp.

: _waterMark( waterMark_ )
{
}

## Member Function Documentation

## operator()()

void Magick::steganoImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1041 of file STL.cpp.

{
image_.stegano( _waterMark );
}

## Field Documentation

## _waterMark

Image Magick::steganoImage::_waterMark

private

Definition at line 1118 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp